# -*- rpm-spec -*-
# $Id: netatalk,v 1.13 2004/05/22 10:06:43 ab Exp $

Name: netatalk
Version: 1.5.3
Release: alt14

Summary: AppleTalk networking programs
License: GNU GPL
Group: Networking/Other

Source: %name-%version.tar.bz2
Source1: %name.pamd
Source2: %name-atalkd.conf.aw
Source3: %name-netatalk.conf.aw
Source4: %name-afpstatus
Source5: AppleVolumes.default.aw
Source6: atalk.init
Patch0: %name-iconv.patch.bz2
Patch1: %{name}2.config.patch
Patch3: %name-acl.patch.bz2
Patch4: %name-xfs.patch.bz2
Patch5: %name-access.patch.bz2
Patch7: %name-paths.patch
Patch8: %name-1.5.3-memset-alt.patch

Requires: lsof

BuildRequires: libpam-devel libssl-devel libwrap-devel libacl-devel libattr-devel autoconf_2.13 automake_1.4 libtool_1.4

%description
This package enables Linux to talk to Macintosh computers via the
AppleTalk networking protocol. It includes a daemon to allow Linux
to act as a file server over AppleTalk or IP for Mac's.

%package devel
Summary: Headers and static libraries for Appletalk development
Group: Development/C
Requires: libpam-devel libssl-devel libwrap-devel libacl-devel libattr-devel automake-common

%description devel
This packge contains the header files, and static libraries for building
Appletalk networking programs

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch7 -p1
%patch8 -p1

%build
%set_automake_version 1.4
%set_autoconf_version 2.13
%set_libtool_version 1.4
./autogen.sh
%configure --with-pam=yes --enable-redhat --with-shadow --enable-fhs --with-did=last --enable-acl
%make_build OPTOPTS="$RPM_OPT_FLAGS -fomit-frame-pointer -fsigned-char" OSVERSION=2.0

%install
%__mkdir_p %buildroot{%_sysconfdir/{netatalk,pam.d},%_initdir,%_libdir/netatalk,%_man1dir,%_man3dir,%_man4dir,%_man8dir}
%__make install DESTDIR=%buildroot

# Delete nls tables, they are not needed with new iconv support
%__rm -rf %buildroot%_sysconfdir/%name/nls
%__rm -f %buildroot%_initdir/atalk
%__rm -f %buildroot%_bindir/acleandir.rc

%__install -m 644 %SOURCE1 %buildroot%_sysconfdir/pam.d/%name
%__install -m 644 %SOURCE2 %buildroot%_sysconfdir/%name/atalkd.conf
%__install -m 644 %SOURCE3 %buildroot%_sysconfdir/%name/%name.conf
%__install -m 755 %SOURCE4 %buildroot%_sbindir/afpstatus
%__install -m 644 %SOURCE5 %buildroot%_sysconfdir/%name/AppleVolumes.default
%__install -m 755 %SOURCE6 %buildroot%_initdir/atalk


%post
%post_ldconfig

if [ ! -e %_libdir/%name/afppasswd ] ; then
    %_bindir/afppasswd -c -u 500 ||:
fi
if [ ! -L %_sysconfdir/atalk ] ; then 
    %__ln_s %name %_sysconfdir/atalk ||:
fi
%post_service atalk

%preun
%preun_service atalk

%postun
# Do only for the last un-install
if [ "$1" = 0 ] ; then
  %__rm -f %_sysconfdir/atalk
fi

%files
%dir %_sysconfdir/%name
%dir %_libdir/%name
%config %_sysconfdir/%name/*
%config %_initdir/atalk
%config %_sysconfdir/pam.d/netatalk
%_sbindir/*
%_bindir/*
%_libdir/%name/*.so
%_datadir/%name/pagecount.ps
	
%files devel
%dir %_includedir/atalk
%dir %_includedir/netatalk
%_libdir/%name/*.la
%_libdir/%name/*.a
%_libdir/libatalk.*
%_includedir/atalk/*
%_includedir/netatalk/*
%_mandir/man?/*
%_datadir/aclocal/%name.m4

%changelog
* Sat May 22 2004 Alexander Bokovoy <ab@altlinux.ru> 1.5.3-alt14
- Fix GCC 3.3.3 incompability

* Thu Mar 25 2004 Alexander Bokovoy <ab@altlinux.ru> 1.5.3-alt13
- Fixed:
    + Build against GCC 3.3
    + License is GNU GPL in fact
    + PAM service conforms to ALT PAM Policy now

* Thu Mar 18 2004 Ihar Viarheichyk <iverg@optifacio.com> 1.5.3-alt12
- Postuninstall script cleanup.

* Thu Mar 18 2004 Ihar Viarheichyk <iverg@optifacio.com> 1.5.3-alt11
- Postinstall script cleanup.

* Thu Mar 18 2004 Ihar Viarheichyk <iverg@optifacio.com> 1.5.3-alt10
- guest user is 'nobody' now.

* Mon Nov 10 2003 Ihar Viarheichyk <iverg@optifacio.com> 1.5.3-alt9
- spec

* Mon Nov 10 2003 Ihar Viarheichyk <iverg@optifacio.com> 1.5.3-alt8
- atalkd disabled when bonding is in use

* Mon Nov 10 2003 Ihar Viarheichyk <iverg@optifacio.com> 1.5.3-alt7
- spec

* Mon Nov 10 2003 Ihar Viarheichyk <iverg@optifacio.com> 1.5.3-alt6
- network range change for atalkd

* Tue Nov 04 2003 Alexander Bokovoy <ab@altlinux.ru> 1.5.3-alt5
- Really remove Alacritech's blockade

* Mon Nov 03 2003 Alexander Bokovoy <ab@altlinux.ru> 1.5.3-alt4
- Remove Alacritech's blocade from init script as net_mod is fixed by now

* Fri Oct 31 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.5.3-alt3
- initscripts adopted to start-stop-daemon

* Mon Sep 08 2003 Alexander Bokovoy <ab@altlinux.ru> 1.5.3-alt2
- Fixed:
  + Dynamically check Alacritech driver availability and bail out 
    if commercial Alacritech driver is loaded -- it does not support
    appletalk kernel module cooperation yet

* Mon Apr 14 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.5.3-alt1
- merged with ALM 2.2

* Fri Jan 10 2003 Grigory Milev <week@altlinux.ru> 1.5.3-2aw
- rebuild with gcc3.2

* Fri Sep 13 2002 Alexei Kotovich <a.kotovich@sam-solutions.net> 1.5.3-1aw
- new access semantics patch

* Fri Sep 5 2002 Alexei Kotovich <a.kotovich@sam-solutions.net> 1.5.3 -1aw
- spec changed

* Fri Sep 5 2002 Alexei Kotovich <a.kotovich@sam-solutions.net> 1.5.3 -1aw
- minor changes

* Fri Aug 30 2002 Alexei Kotovich <akotovich@sam-solutions.net> 1.5.3 -1aw
- minor changes

* Fri Aug 30 2002 Alexei Kotovich <akotovich@sam-solutions.net> 1.5.3 -1aw
- bug fixing

* Sat May 25 2002 Alexander Bokovoy <ab@optifacio.com> 1.5.3-1aw
- 1.5.3 + post release fixes
- Updated:
    + XFS inodes patch
    + POSIX ACL patch
    + ICONV patch

* Thu Apr 18 2002 Grigory Milev <week@altlinux.ru> 1.5.0 -14aw
- change default config

* Thu Apr 04 2002 Ihar Viarheichyk <iverg@optifacio.com> 1.5.0 -13aw
- New ACL support patch

* Fri Mar 29 2002 Grigory Milev <week@altlinux.ru> 1.5.0 -11aw
- added new patch volume.patch

* Thu Mar 25 2002 Ihar Viarheichyk <iverg@optifacio.com> 1.5.0 -10aw
- Bug in default AppleVolume.default fixed.

* Thu Mar 21 2002 Grigory Milev <week@altlinux.ru> 1.5.0 -9aw
- post and preun scripts updated
- spec cleanup

* Mon Feb 11 2002 Michael Emelyanov <m.emelyanvo@sam-solutions.net> 1.5.0-7aw
- Fixed typo in config patch (from 5aw release).

* Thu Feb 07 2002 Michael Emelyanov <m.emelyanvo@sam-solutions.net> 1.5.0-5aw
- Changed "default" browser for *.html from Netscape to MS IE

* Wed Feb 06 2002 Alexander Bokovoy <ab@altlinux.ru> 1.5.0-4aw
- Startup script fixed

* Thu Jan 24 2002 Alexander Bokovoy <ab@optifacio.com> 1.5.0-1aw
- Spec file revamped
- Iconv support added

* Tue Jul 17 2001 Larry Gee <lgee@applianceWare.com>
- v19
- modified afpstatus to have colons ':' delimit the output so
  spaces in user names can be derived by the client
- modified to use the new 'guest' account for guest logins

* Thu Oct 05 2000 Larry Gee <lgee@applianceware.com>
- v18
- fix username 8 char limit in afpstatus.  used getpwuid instead of
  attempting to parse ps output.

* Tue Oct 03 2000 Larry Gee <lgee@applianceware.com>
- v14-17
- fixed up pam setup
- fixed bug in afpstatus to ignore the root user
- enabled dhx encryption

* Thu Aug 31 2000 Mike Panetta <mpanetta@applianceware.com>
- v13aw25
- Fixed the return value in atalk.init so that it returns 0
- if atalkd was backgrounded.

* Wed Jul 26 2000 Larry Gee <lgee@applianceware.com>
- v12aw25
- fixed bug in netatalk.conf

* Fri Jul 14 2000 Larry Gee <lgee@applianceware.com>
- v9aw25
- added afpstatus 'command' (perl script)

* Fri Jul 07 2000 Larry Gee <lgee@applianceware.com>
- v7aw25
- removed cracklib support in makefile patch
- v6aw25
  replaced netatalk.conf with netatalk.conf.aw
  added patch to afppasswd to take command line password for batching

* Fri Aug 13 1999 John D. Blair <jdblair@cobaltnet.com>
  - updated to latest build from Adrian

* Thu Jul 22 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- /etc/atalk/netatalk.config -> /etc/atalk/netatalk.conf
  Many parts of patch are merged into the original source code.

* Tue Jul 13 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- AppleVolumes.system is merged into the original source code.
  /etc/atalk/config -> /etc/atalk/netatalk.config.
  Merge original rc.atalk.redhat and /etc/rc.d/init.d/atalk.
  Remove last sample line of patched afpd.conf.

* Fri Jul 9 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.4-30]

* Sun Jun 20 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.4-28]

* Thu Jun 3 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.4-22]

* Wed May 19 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.4-15]
  Make BerkleyDB=/usr.

* Sun May 2 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.4-11]
  Integrate three patches into netatalk-asun.makefile.patch.
  Change /etc/uams dir to /usr/lib/atalk/uams.
  Add configuration line to /etc/atalk/afpd.conf and remove needless 
  variables from /etc/atalk/config and /etc/rc.d/init.d/atalk.

* Wed Apr 21 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.4-9]
  Move %chengelog section last.

* Wed Mar 31 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Comment out -DNEED_QUOTA_WRAPPER in sys/linux/Makefile.

* Sat Mar 20 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Correct symbolic links to psf.
  Remove asciize function from nbplkup so as to display Japanese hostname.

* Thu Mar 11 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Included MacPerl 5 script ICDumpSuffixMap which dumps suffix mapping
  containd in Internet Config Preference.

* Tue Mar 2 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [asun2.1.3]

* Mon Feb 15 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.2-8]

* Sun Feb 7 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.2-6]

* Mon Jan 25 1999 iNOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.2-3]

* Thu Dec 17 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.2]
  Remove crlf patch. It is now a server's option.

* Thu Dec 3 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use stable version source netatalk-1.4b2+asun2.1.1.tar.gz
  Add uams directory

* Sat Nov 28 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.1-3 source.

* Mon Nov 23 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.1-2 source.

* Mon Nov 16 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Fix rcX.d's symbolic links.

* Wed Oct 28 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0a-2 source. Remove '%exclusiveos linux' line.

* Sat Oct 24 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use stable version source netatalk-1.4b2+asun2.1.0.tar.gz.

* Mon Oct 5 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-10a source.

* Thu Sep 19 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-8 source. Add chkconfig support.

* Sat Sep 12 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Comment out -DCRLF. Use RPM_OPT_FLAGS.

* Mon Sep 8 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-7 source. Rename atalk.init to atalk.

* Mon Aug 22 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-6 source.

* Mon Jul 27 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-5 source.

* Tue Jul 21 1998 INOUE Koichi <inoue@ma.ns.musashi-techa.c.jp>
- Use pre-asun2.1.0-3 source.

* Tue Jul 7 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Add afpovertcp entries to /etc/services
- Remove BuildRoot in man8 pages

* Mon Jun 29 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use modified sources 1.4b2+asun2.1.0 produced by Adrian Sun
  <asun@saul9.u.washington.edu> to provide an AppleShareIP file server
- Included AppleVolumes.system file maintained by Johnson
  <johnson@stpt.usf.edu>

* Mon Aug 25 1997 David Gibson <D.Gibson@student.anu.edu.au>
- Used a buildroot
- Use RPM_OPT_FLAGS
- Moved configuration parameters/files from atalk.init to /etc/atalk
- Separated devel package
- Built with shared libraries

* Sun Jul 13 1997 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
- Updated sources from 1.3.3 to 1.4b2
- Included endian patch for Linux/SPARC
- Use all the configuration files supplied in the source.  This has the
  following advantages over the ones in the previous rpm release:
	+ The printer 'lp' isn't automatically placed in papd.conf
	+ The default file conversion is binary rather than text.
- Automatically add and remove DDP services from /etc/services
- Placed the recommended /etc/services in the documentation
- Changed atalk.init to give daemons a soft kill
- Changed atalk.init to make configuration easier

* Wed May 28 1997 Mark Cornick <mcornick@zorak.gsfc.nasa.gov>
Updated for /etc/pam.d

